from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XAnimationListener(XEventListener, Protocol):
    def beginEvent(self, Node: XAnimationNode) -> None: ...
    def endEvent(self, Node: XAnimationNode) -> None: ...
    def repeat(self, Node: XAnimationNode, Repeat: int) -> None: ...
